BLUETILE(1)

NAME
bluetile - full-featured tiling for the GNOME desktop environment

SYNOPSIS
bluetile [--help] [--version] [--restart]

DESCRIPTION
Bluetile is a tiling window manager designed to integrate with the GNOME desktop environment. It provides both a traditional, stacking layout mode as well as tiling layouts where windows are arranged to use the entire screen without overlapping. Bluetile tries to make the tiling paradigm easily accessible to users coming from traditional window managers by drawing on known conventions and providing both mouse and keyboard access for all features.

•   Designed to integrate with the GNOME desktop environment

•   Hybrid approach: Stacking window layout & tiling layouts available

•   All features accessible from mouse, as well as keyboard

•   Maximizing & minimizing windows in all layouts

•   Good multihead support

•   Proper handling of fullscreen applications

OVERVIEW
To quickly get up and running just start Bluetile from your current window manager/desktop environment (preferably GNOME). Bluetile will replace the currently running window manager (if the window manager supports this) and start up.

One way to set up Bluetile as your default window manager under GNOME is to make sure that the environment variable WINDOW_MANAGER contains the path to the Bluetile binary before GNOME starts. This can be achieved by putting something like the following line into ~/.gnomerc:

  export WINDOW_MANAGER=bluetile

If you use a packaged version of Bluetile, your distribution might already provide you with a preconfigured xsession.

OPTIONS
--help print help message

--version print the version number

--restart request a running Bluetile process to restart

KEYBOARD SHORTCUTS
This is a list of most keyboard shortcuts for Bluetile:

  Win+Return      Launch terminal
  Win+p           Launch GNOME "Run application" dialog

  Win+a           Switch to stacking window layout
  Win+s           Switch to tiled horizontal layout
  Win+d           Switch to tiled vertical layout
  Win+f           Switch to fullscreen layout

  Win+j           Move focus to the next window
  Win+k           Move focus to the previous window
  Win+Space       Move focus to the master window
  Win+Shift+j     Swap the focused window with the next window
  Win+Shift+k     Swap the focused window with the previous window
  Win+Shift+Space Swap the focused window with the master window

  Win+h           Shrink the master area
  Win+l           Expand the master area
  Win+u           Shrink a slave area
  Win+i           Expand a slave area
  Win+,           Increment the number of windows in the master area
  Win+.           Decrement the number of windows in the master area

  Win+Shift+c     Close the focused window
  Win+z           Maximize/zoom focused window
  Win+m           Minimize focused window
  Win+Shift+m     Restore next minimized window
  Win+o           Show window menu for focused window
  Win+t           Push dialog window back into tiling
  Win+b           Toggle to previously displayed workspace

  Win+1 .. Win+9, Win+0
    Switch to workspace N

  Win+Shift+1 .. Win+Shift+9, Win+Shift+0
    Move client to workspace N

  Win+w, Win+e, Win+r
    Switch to physical/Xinerama screens 1, 2 or 3

  Win+Shift+w, Win+Shift+e, Win+Shift+r
    Move client to physical/Xinerama screen 1, 2 or 3

  Win+F5          Refresh layout
  Win+Shift+q     Quit Bluetile

CONFIGURATION
Edit the file ~/.bluetilerc to configure Bluetile.

AUTHOR
Jan Vornberger <jan.vornberger@informatik.uni-oldenburg.de>